/*
I hate MythicBotany
This script should disable the whole thing and hide its content hopefully. Incase you have to keep it to have your world actually load. Insane.
*/

ServerEvents.recipes(event => {

event.remove({ type: 'botania:runic_altar', mod: 'mythicbotany' })
event.remove({ type: 'botania:petal_apothecary', mod: 'mythicbotany' })
event.remove({ type: 'botania:rune_ritual', mod: 'mythicbotany' })
event.remove({ output: 'mythicbotany:alfsteel_ingot' })
event.remove({ output: 'mythicbotany:mana_infuser' })
event.remove({ output: 'mythicbotany:alfsteel_nugget' })
event.remove({ output: 'mythicbotany:alfsteel_ingot' })
event.remove({ output: 'mythicbotany:alfsteel_block' })
event.remove({ output: 'mythicbotany:alfsteel_pylon' })
event.remove({ output: 'mythicbotany:mana_collector' })

event.remove({ output: 'mythicbotany:exoblaze_floating' })
event.remove({ output: 'mythicbotany:wither_aconite_floating' })
event.remove({ output: 'mythicbotany:aquapanthus_floating' })
event.remove({ output: 'mythicbotany:hellebore_floating' })
event.remove({ output: 'mythicbotany:raindeletia_floating' })
event.remove({ output: 'mythicbotany:feysythia_floating' })
event.remove({ output: 'mythicbotany:petrunia_floating' })

event.remove({ output: 'mythicbotany:yggdrasil_branch' })
event.remove({ output: 'mythicbotany:rune_holder' })
event.remove({ output: 'mythicbotany:central_rune_holder' })
event.remove({ output: 'mythicbotany:alfsteel_template' })

event.remove({ output: 'mythicbotany:fire_ring' })
event.remove({ output: 'mythicbotany:ice_ring' })
event.remove({ output: 'mythicbotany:gjallar_horn_empty' })
	
})

ServerEvents.tags('item', event => {
	
// Hide from EMI
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:asgard_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:vanaheim_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfheim_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:midgard_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:joetunheim_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:muspelheim_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:niflheim_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:nidavellir_rune')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:helheim_rune')
event.add('c:hidden_from_recipe_viewers', '#mythicbotany:alfheim_ores')

event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_ingot')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_helmet')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_chestplate')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_leggings')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_boots')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_axe')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_pick')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_sword')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:mana_ring_greatest')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:ice_ring')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:fire_ring')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:gjallar_horn_empty')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:gjallar_horn_full')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:cursed_andwari_ring')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:andwari_ring')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:mana_infuser')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_block')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_pylon')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:mana_collector')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:mjoellnir')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_nugget')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alfsteel_template')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:aura_ring_greatest')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:yggdrasil_branch')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:rune_holder')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:central_rune_holder')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:dreamwood_leaves')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:raw_elementium_block')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:kvasir_blood')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:kvasir_mead')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:dream_cherry')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:raw_elementium')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:alf_pixie_spawn_egg')

event.add('c:hidden_from_recipe_viewers', 'mythicbotany:exoblaze')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:wither_aconite')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:aquapanthus')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:hellebore')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:raindeletia')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:feysythia')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:petrunia')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:exoblaze_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:wither_aconite_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:aquapanthus_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:hellebore_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:raindeletia_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:feysythia_floating')
event.add('c:hidden_from_recipe_viewers', 'mythicbotany:petrunia_floating')
	
})